Fix test failure in IssuesSystemTest due to incorrect attachment count expectation
2024-09-09 20:27 - Katsuya HIDAKA

Status: Closed Start date:
Target version: 6.0.0

Description

The following system test is failing in trunk (r23047).

$ bin/rails test test/system/issues_test.rb:260
Run options: —--seed 21762

(snip)

F

Failure:
IssuesSystemTest#test_update_issue_with_form_update_should_keep_newly_added_attachments [test/syst
em/issues_test.rb:277]:
Expected: 1
Actual: 3

The failing test is:
# redmine/test/system/issues_test.rb:260
def test_update_issue_with_form_update_should_keep_newly_added_attachments

set_tmp_attachments_directory
log_user ('jsmith', 'Jjsmith')
visit '/issues/2'
page.first (:1ink, 'Edit').click
attach_file 'attachments[dummy] [file]', Rails.root.join('test/fixtures/files/testfile.txt")
assert page.has_css? ('spanf#attachments_1")

page.find ("#issue_status_id") .select ("Closed")

# check that attachment still exists on the page
assert page.has_css? ('spant#tattachments_1")

click_on 'Submit'

assert_equal 3, Issue.find(2).attachments.count
end

https://github.com/redmine/redmine/blob/e8879d891f39539fe1d0d6cb14c26a02944234a5/test/system/issues_test.rb#l 260-L278

The failing assertion is:

assert_equal 3, Issue.find(2).attachments.count

And here's a screenshot of the failure:

The test is failing simply because the expected number of attachments for Issue#2 is wrong.

In the fixture data, Issue#2 has 2 attachments.
$ git grep -h -C 3 "container_id: 2" —-- test/fixtures/attachments.yml
attachments_004:

created_on: 2006-07-19 21:07:27 +02:00

container_type: Issue

container_id: 2

downloads: O

disk_filename: 060719210727_source.rb

disk_directory: "2006/07"
attachments_010:

created_on: 2006-07-19 21:07:27 +02:00

container_type: Issue

container_id: 2

downloads: 0

disk_filename: 060719210727 _picture. jpg

disk_directory: "2006/07"

So since Issue#2 originally had 2 attachments and this test adds one attachment, the final number of attachments for Issue#2 should
be 3.

This patch fixes by modifing the expected number of attachments to 3 from 1.

diff --git a/test/system/issues_test.rb b/test/system/issues_test.rb
index 2b83ef362..be0744157 100644

-—— a/test/system/issues_test.rb

+++ b/test/system/issues_test.rb

@@ -274,7 +274,7 @@ class IssuesSystemTest < ApplicationSystemTestCase

click_on 'Submit'
. assert_equal 1, Issue.find(2).attachments.count
+ assert_equal 3, Issue.find(2).attachments.count

end

test "removing issue shows confirm dialog" do

Associated revisions

Revision 23051 - 2024-09-11 10:13 - Go MAEDA

Fix test failure in IssuesSystemTest due to incorrect attachment count expectation (#41238).

Patch by Katsuya HIDAKA (user:hidakatsuya).

History

#1 - 2024-09-10 07:55 - Go MAEDA
- Category set to Code cleanup/refactoring

- Target version set to 6.0.0

#2 - 2024-09-11 10:14 - Go MAEDA

- Subject changed from Fix a system test that fails due to incorrect expectation to Fix test failure in IssuesSystemTest due to incorrect attachment
count expectation

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch in r23051. Thank you.

Files
failures_test_update_issue_with_form_update_should_keep_newly_add&8 KBachmentdq24309-09 Katsuya HIDAKA
0001-Fixes-test-that-fails-due-to-incorrect-expectations.patch 754 Bytes 2024-09-09 Katsuya HIDAKA

2025-03-29 22



https://www.redmine.org/projects/redmine/repository/svn/revisions/23051
http://www.tcpdf.org

